package com.aitrainer.api.controller

import com.aitrainer.api.ApiApplication
import com.aitrainer.api.repository.ConfigurationRepository
import org.aspectj.lang.JoinPoint
import org.aspectj.lang.annotation.Aspect
import org.aspectj.lang.annotation.Before
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component

@Suppress("unused")
@Aspect
@Component
class CustomerControllerAspect {
    private val logger = LoggerFactory.getLogger(ApiApplication::class.simpleName)

    @Autowired
    private lateinit var configurationRepository: ConfigurationRepository
    @Autowired
    private lateinit var properties: ApplicationProperties

    @Before("execution(* com.aitrainer.api.controller.CustomerController.*(..))")
    fun customerControllerAspect(joinPoint: JoinPoint) {
        println("customer controller")
        Singleton.checkDBUpdate(configurationRepository, properties)
    }

}

