package com.aitrainer.api.controller

import com.aitrainer.api.model.ExerciseTree
import com.aitrainer.api.repository.ExerciseTreeRepository
import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class ExerciseTreeController (private val exerciseTreeRepository: ExerciseTreeRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/exercise_tree")
    fun getAllActiveMenu(): List<ExerciseTree> {
        val list: List<ExerciseTree> = exerciseTreeRepository.getActiveMenu()
        logger.info(" -- Get All active Exercise Tree menu.. $list")
        return list
    }
}